/* Terraform - (C) 1997-2000 Robert Gasch (r.gasch@chello.nl)
 *  - http://212.187.12.197/RNG/terraform/
 *  - http://terraform.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#ifndef _TF_DIALOG_OPTIONS_H
#define _TF_DIALOG_OPTIONS_H 1

#include <gtk--/adjustment.h>
#include <gtk--/box.h>
#include <gtk--/checkbutton.h>
#include <gtk--/entry.h>
#include <gtk--/frame.h>
#include <gtk--/notebook.h>
#include <gtk--/scale.h>

#include "flexarray.h"
#include "GuiDialogOAC.h"				// includes gtk, gtk--


class TFWindowHandler;



/**
 *  TFDialogOptions: display the options dialog for terraform. This is 
 * 	intended to be a global dialog for terraform.  
 */
class TFDialogOptions : public GuiDialogOAC
	{
	public:	
				TFDialogOptions (const FlexArray<TFWindowHandler> *wList);
				~TFDialogOptions ();
		void		updateSliders ();
		void		buildDialogWindow ();
		void 		buttonCallbackOK ();
		void 		buttonCallbackApply ();
		gint 		delete_event_impl (GdkEventAny *);

	protected:
		void		buildDrawOptionsFrame ();
		void		buildHFDrawOptionsFrame ();
		void		buildFastWireOptionsFrame ();

	private:
		void		fillVBox ();
		void		getValues (bool *fillSea, bool *drawDerived, 
					int *scale, int *syncRate, 
					int *resolution, float *yscale, 
					float *sealevel, bool *fastHalfRes, 
					bool *fastHalfYscale, bool *fastZrot);

		// had to make alloc of HBox and VBox dynamic to avoid running
		// into the huge-objects warning with egcs
		FlexArray<TFWindowHandler>	*d_wList;
		Gtk::Notebook		d_notebook;	
		Gtk::Frame 		d_frame1, d_frame2, d_frame3;
		Gtk::CheckButton	d_cbFillSea,
					d_cbDrawDerived,
					d_cbFastResolution,
					d_cbFastYscale,
					d_cbFastZrot,
					d_cbPOVkeepFiles;
		Gtk::VBox		*p_vb1, *p_vb2, *p_vb3;
		Gtk::HBox		*p_hb1_1, *p_hb1_2, *p_hb1_3, *p_hb1_4,
					*p_hb2_1, *p_hb2_2, *p_hb2_3,
					*p_hb3_1, *p_hb3_2, *p_hb3_3;
		Gtk::Label 		*p_lblTitle1, *p_lblTitle2, 
					*p_lblTitle3, 
					*p_lblScale, *p_lblSync,
					*p_lblResolution, *p_lblYScale, *p_lblSealevel,
					*p_lblFillSea, *p_lblDrawDerived, 
					*p_lblFastResolution, 
					*p_lblFastYscale, *p_lblFastZrot, 
					*p_lblPOVkeepFiles;
		Gtk::Adjustment		*p_adjScale, *p_adjSync,
					*p_adjResolution, *p_adjYScale, 
					*p_adjSealevel;
		Gtk::HScale		*p_hsScale, *p_hsSync,
					*p_hsResolution, *p_hsYScale, 
					*p_hsSealevel;
	};

#endif // _TF_DIALOG_OPTIONS_H
